import 'package:cargocalculaterapp/features/profile/data/models/delete_account_response.dart';
import 'package:cargocalculaterapp/features/profile/data/models/profile_response.dart';
import 'package:cargocalculaterapp/features/profile/data/models/profile_update_request.dart';

abstract class ProfileRemoteDataSource {
  Future<ProfileResponse> getProfile();

  Future<ProfileResponse> updateProfile(ProfileUpdateRequest request);

  Future<DeleteAccountResponse> deleteProfile();
}
